%global modulename eslint-plugin-jsx-a11y

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-eslint-plugin-jsx-a11y
Version:        6.1.2
Release:        1%{?dist}
Summary:        Static AST checker for accessibility rules on JSX elements.

License:        MIT
URL:            https://github.com/evcohen/eslint-plugin-jsx-a11y#readme
Source0:        https://registry.npmjs.org/eslint-plugin-jsx-a11y/-/eslint-plugin-jsx-a11y-6.1.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(aria-query) >= 3.0.0 with npmlib(aria-query) < 4.0.0))
BuildRequires:  ((npmlib(array-includes) >= 3.0.3 with npmlib(array-includes) < 4.0.0))
BuildRequires:  ((npmlib(ast-types-flow) >= 0.0.7 with npmlib(ast-types-flow) < 0.0.8))
BuildRequires:  ((npmlib(axobject-query) >= 2.0.1 with npmlib(axobject-query) < 3.0.0))
BuildRequires:  ((npmlib(damerau-levenshtein) >= 1.0.4 with npmlib(damerau-levenshtein) < 2.0.0))
BuildRequires:  ((npmlib(emoji-regex) >= 6.5.1 with npmlib(emoji-regex) < 7.0.0))
BuildRequires:  ((npmlib(has) >= 1.0.3 with npmlib(has) < 2.0.0))
BuildRequires:  ((npmlib(jsx-ast-utils) >= 2.0.1 with npmlib(jsx-ast-utils) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Static AST checker for accessibility rules on JSX elements.

%package 6.1.2
Summary:        Static AST checker for accessibility rules on JSX elements.


%description 6.1.2
Static AST checker for accessibility rules on JSX elements.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .babelrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr __mocks__ %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr __tests__ %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr scripts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr yarn.lock %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}


%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%doc docs
%{nodejs_dir}/%{modulename}

%files 6.1.2
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%doc docs
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Nov 29 2018 npm2srpm <dshea@redhat.com> - 6.1.2-1
- Package automatically generated by npm2srpm
